import { Component, OnInit } from '@angular/core';
import { FormGroup, FormBuilder, Validators } from '@angular/forms';

@Component({
  selector: 'app-incident-substitution-reassign',
  templateUrl: './incident-substitution-reassign.component.html',
  styleUrls: ['./incident-substitution-reassign.component.less']
})
export class IncidentSubstitutionReassignComponent implements OnInit {
  constructor(
    private fb: FormBuilder,
  ) { }

  ngOnInit() {
    this.initForm();
  }

  // 初始化新增form表单
  validateForm: FormGroup; //新增/编辑表单
  initForm() {
    this.validateForm = this.fb.group({
      reassignRemark: [null, [Validators.required]],//院区
    });
    console.log(this.validateForm.controls)
  }
}




